emerge octave problems [Solved]

Anything that pertains to Portage

Moderator: Moderators

emerge octave problems [Solved]

Postby rbn14 » Tue Apr 28, 2009 5:51

Hello all. I am new to Sabayon but not to linux. I have been a Debian user for 5yrs or so. Anyway, I wanted to install octave 3.0 and was quite surprised sabayon only had 2.1.73 (even Debian stable has 3.0 in the repos =) ) Any way, I searched with emerge and 3.0 is available so...

Code: Select all
# emerge octave

Code: Select all
[blocks B     ] app-text/poppler ("app-text/poppler" is blocking dev-libs/poppler-0.10.6)
[blocks B     ] dev-libs/poppler ("dev-libs/poppler" is blocking app-text/poppler-0.10.5, app-text/poppler-bindings-0.10.5)
[blocks B     ] app-text/poppler-bindings ("app-text/poppler-bindings" is blocking dev-libs/poppler-0.10.6)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('installed', '/', 'app-text/poppler-bindings-0.10.5', 'nomerge') pulled in by
    app-text/poppler-bindings:0 required by @world

  ('ebuild', '/', 'dev-libs/poppler-0.10.6', 'merge') pulled in by
    ~dev-libs/poppler-0.10.6 required by ('ebuild', '/', 'dev-tex/luatex-0.30.3', 'merge')
    ~dev-libs/poppler-0.10.6 required by ('ebuild', '/', 'virtual/poppler-0.10.6', 'merge')

  ('installed', '/', 'app-text/poppler-0.10.5', 'nomerge') pulled in by
    app-text/poppler required by @world


I tried using emerge to update these packages and a few hours later, same blocking occred. Plus I'm sure i broke all kinds of things.
Thanks
Last edited by rbn14 on Tue Apr 28, 2009 15:33, edited 1 time in total.
rbn14
Baby Hen
 
Posts: 2
Joined: Sun Apr 26, 2009 17:49

Re: emerge octave problems

Postby joost » Tue Apr 28, 2009 7:44

Because poppler got split.

I see that octave in entropy x86_84 is version behind compared with x86. I'll update it to version 3 and for all other users work out the poppler blockage.
joost
Sagely Hen
 
Posts: 2582
Joined: Fri Nov 17, 2006 12:11
Location: The Netherlands

Re: emerge octave problems

Postby wolfden » Tue Apr 28, 2009 8:22

Please see:
http://forums.gentoo.org/viewtopic-t-752294.html

I wouldn't be mixing entropy and portage right now
wolfden
Sharecropper
 
Posts: 9051
Joined: Sat Jan 14, 2006 0:55
Location: Midwest USA

Re: emerge octave problems

Postby rbn14 » Tue Apr 28, 2009 15:32

Wow, thanks! Just like that and octave3.0 is in the equo tree.

Wolden, I kind of figured its not recomended to mix systems, I'll read up.

Thanks
rbn14
Baby Hen
 
Posts: 2
Joined: Sun Apr 26, 2009 17:49


Return to Portage|Emerge Package Managers

Who is online

Users browsing this forum: No registered users and 1 guest

cron